Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.mftap
Class MultiFingerTapEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<MultiFingerTapHandler,TouchEndEvent>
                      com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.mftap.MultiFingerTapEvent

    public class MultiFingerTapEvent

extends SyntheticTouchGestureEvent<MultiFingerTapHandler,TouchEndEvent>

Represents a multi-finger tap event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`MultiFingerTapEvent(TouchEndEvent evt, List<PointView> fingerLocations)` Creates a new `MultiFingerTapEvent` from the specified source `TouchEndEvent` and finger locations.

Method Summary
`protected void` | `dispatch(MultiFingerTapHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<MultiFingerTapHandler>` | `getAssociatedType()` Returns the event type associated with multi-finger events.
`int` | `getFingerCount()` Returns the number of fingers involved in the tap.
`List<PointView>` | `getFingerLocations()` Returns the location of the finger(s), in the target element's coordinate system.
`static GwtEvent.Type<MultiFingerTapHandler>` | `getType()` Returns the event type associated with multi-finger tap events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiFingerTapEvent

    public MultiFingerTapEvent(TouchEndEvent evt,
                               List<PointView> fingerLocations)

  Creates a new `MultiFingerTapEvent` from the specified source `TouchEndEvent` and finger locations.

  Parameters:
    `evt` - The touch end event that triggered this event.
    `fingerLocations` - The locations of the fingers, in the target element's coordinate system.

Method Detail

### getFingerCount

    public int getFingerCount()

  Returns the number of fingers involved in the tap.

### getFingerLocations

    public List<PointView> getFingerLocations()

  Returns the location of the finger(s), in the target element's coordinate system. The returned value is an immutable list.

### getType

    public static GwtEvent.Type<MultiFingerTapHandler> getType()

  Returns the event type associated with multi-finger tap events.

### getAssociatedType

    public GwtEvent.Type<MultiFingerTapHandler> getAssociatedType()

  Returns the event type associated with multi-finger events.

  Overrides:
    `getAssociatedType` in class `GwtEvent<MultiFingerTapHandler>`

### dispatch

    protected void dispatch(MultiFingerTapHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<MultiFingerTapHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD